FreeMat

- Main Page
- Related Pages

vtkArrayNorm

Section: Visualization Toolkit Infovis Classes

# Usage

Given an input matrix (vtkTypedArray<double>), computes the L-norm for each vector along either dimension, storing the results in a dense output vector (1D vtkDenseArray<double>). The caller may optionally request the inverse norm as output (useful for subsequent normalization), and may limit the computation to a "window" of vector elements, to avoid data copying.

.SECTION Thanks Developed by Timothy M. Shead (tshea.nosp@m.d@sa.nosp@m.ndia..nosp@m.gov) at Sandia National Laboratories.

To create an instance of class vtkArrayNorm, simply invoke its constructor as follows

      obj = vtkArrayNorm

# Methods

The class vtkArrayNorm has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkArrayNorm class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkArrayNorm = obj.NewInstance ()`
- `vtkArrayNorm = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetDimension ()` - Controls the dimension along which norms will be computed. For input matrices, For input matrices, use "0" (rows) or "1" (columns). Default: 0
- `obj.SetDimension (int )` - Controls the dimension along which norms will be computed. For input matrices, For input matrices, use "0" (rows) or "1" (columns). Default: 0
- `int = obj.GetL ()` - Controls the L-value. Default: 2
- `obj.SetL (int value)` - Controls the L-value. Default: 2
- `obj.SetInvert (int )` - Controls whether to invert output values. Default: false
- `int = obj.GetInvert ()` - Controls whether to invert output values. Default: false